%Link masses and gravitational acceleration
m1 = 27;
m2 = 22;
m4 = 25;
m6 = 1;
g = 9.81;

%Saving values sent to workspace in vectors easier to handle
t = states.time;

q1 = states.signals.values(:,1);
Dq1 = states.signals.values(:,2);
q2 = states.signals.values(:,3);
Dq2 = states.signals.values(:,4);
q3 = states.signals.values(:,5);
Dq3 = states.signals.values(:,6);
q4 = states.signals.values(:,7);
Dq4 = states.signals.values(:,8);
q5 = states.signals.values(:,9);
Dq5 = states.signals.values(:,10);
q6 = states.signals.values(:,11);
Dq6 = states.signals.values(:,12);

% u1 = tau.signals.values(:,1);
% u2 = tau.signals.values(:,2);
% u3 = tau.signals.values(:,3);
% u4 = tau.signals.values(:,4);
% u5 = tau.signals.values(:,5);
% u6 = tau.signals.values(:,6);
% 
% %Workaround for plotting additional values together with the simulation results
% table = zeros(size(t),5);
% for i = 1:size(t)
%     table(i,1) = -pi/2;
%     table(i,2) = pi/2;
%     table(i,3) = pi;
%     table(i,4) = 0;
%     table(i,5) = -pi;
% end

%Plotting the response of the joint variables
figure('units','pixels','outerposition',[0 0 1000 600]);
%plot(t,q1,'k',t,q2,'m',t,q3,'c',t,q4,'r',t,q5,'g',t,q6,'b',t,table(:,5),'k:',t,table(:,3),'k:',t,table(:,1),'k:');
plot(t,q1,'k',t,q2,'m',t,q3,'c',t,q4,'r',t,q5,'g',t,q6,'b',t,Dq1,'k',t,Dq2,'m',t,Dq3,'c',t,Dq4,'r',t,Dq5,'g',t,Dq6,'b');
%axis([0 30 -100 100]);
xlabel('Time [s]')
ylabel('Radians')
title('Response of q Forward Euler step size = 0.0001','FontSize',12)
legend('q_1 Dq_1','q_2 Dq_2','q_3 Dq_3','q_4 Dq_4','q_5 Dq_5','q_6 Dq_6','Location','NorthEast')

% %Plotting the input torques
% figure('units','pixels','outerposition',[0 0 1000 600]);
% plot(t,u1,'k',t,u2,'m',t,u3,'c',t,u4,'r',t,u5,'g',t,u6,'b',t,table(:,4),'k:');
% axis([0 3 -100 100]);
% xlabel('Time [s]')
% ylabel('Torque [Nm]')
% title('Input torque','FontSize',12)
% legend('\tau_1','\tau_2','\tau_3','\tau_4','\tau_5','\tau_6','Location','NorthEast')
% 
% %Creating empty vectors to hold kinetic and potential energy values
% K = zeros(size(t));
% P = zeros(size(t));
% 
% %Calculating kinetic and potential energy for each time step in the simulation
% for i=1:length(states.signals.values)
%     K(i) = -0.1001000000e-2 * Dq5(i) * Dq1(i) * cos(q4(i) - q3(i) - q2(i) + pi / 0.2e1) + Dq1(i) ^ 2 * cos(0.2e1 * q4(i) - 0.2e1 * q3(i) - 0.2e1 * q2(i) + pi) * 0.170000000000031238e-4 + Dq1(i) ^ 2 * cos(-0.2e1 * q2(i) + pi) * 0.112263599999999997e1 - 0.1360000000e-3 * Dq4(i) * Dq2(i) * cos((2 * q5(i)) + 0.2e1 * pi - q4(i)) + 0.6800000000e-4 * Dq1(i) * Dq2(i) * cos(-q4(i) + 0.5e1 / 0.2e1 * pi + (2 * q5(i)) - q3(i) - q2(i)) + 0.6800000000e-4 * Dq1(i) * Dq2(i) * cos((2 * q5(i)) + 0.3e1 / 0.2e1 * pi - q4(i) + q3(i) + q2(i)) - 0.6800000000e-4 * Dq1(i) * Dq3(i) * cos((2 * q5(i)) + 0.5e1 / 0.2e1 * pi + q4(i) - q3(i) - q2(i)) - 0.6800000000e-4 * Dq1(i) * Dq3(i) * cos((2 * q5(i)) + 0.3e1 / 0.2e1 * pi + q4(i) + q3(i) + q2(i)) + 0.1360000000e-3 * Dq4(i) * Dq3(i) * cos(q4(i) + 0.2e1 * pi + (2 * q5(i))) + Dq2(i) * Dq4(i) * sin(q5(i) + pi + q4(i) + q3(i)) * 0.260999999999999991e-2 + Dq2(i) * Dq4(i) * sin(q5(i) + pi + q4(i) - q3(i)) * (-0.260999999999999991e-2) + Dq2(i) * Dq3(i) * sin(q5(i) + pi - q4(i) - q3(i)) * 0.260999999999999991e-2 + Dq2(i) * Dq3(i) * sin(q5(i) + pi + q4(i) + q3(i)) * 0.260999999999999991e-2 + Dq2(i) * Dq3(i) * sin(q5(i) + pi + q3(i)) * 0.521999999999999982e-2 + Dq2(i) * Dq4(i) * sin(q5(i) + pi - q4(i) + q3(i)) * (-0.260999999999999991e-2) + Dq2(i) * Dq3(i) * sin(q3(i)) * (-0.856800000000000006e0) + Dq2(i) * Dq3(i) * cos(pi - 0.2e1 * q4(i) + q5(i)) * 0.867361737988403548e-18 + Dq2(i) * Dq3(i) * sin(q5(i) + pi - q3(i)) * (-0.521999999999999982e-2) + Dq2(i) * Dq3(i) * cos(pi + 0.2e1 * q4(i) + q5(i)) * 0.867361737988403548e-18 + Dq2(i) * Dq3(i) * sin(q5(i) + pi + q4(i) - q3(i)) * 0.260999999999999991e-2 + Dq2(i) * Dq3(i) * sin(q5(i) + pi - q4(i) + q3(i)) * 0.260999999999999991e-2 + Dq1(i) * Dq4(i) * sin(q5(i) + pi / 0.2e1 - q4(i) + q2(i)) * (-0.260999999999999991e-2) + Dq1(i) * Dq2(i) * cos(0.3e1 / 0.2e1 * pi - 0.2e1 * q4(i) - q3(i) - q2(i) + q5(i)) * 0.433680868994201774e-18 + Dq2(i) * Dq5(i) * sin(q5(i) + pi - q4(i) - q3(i)) * (-0.260999999999999991e-2) + Dq2(i) * Dq5(i) * sin(q5(i) + pi + q4(i) + q3(i)) * 0.260999999999999991e-2 + Dq3(i) ^ 2 * 0.555745500000000004e0 + Dq2(i) * Dq5(i) * sin(q5(i) + pi + q4(i) - q3(i)) * (-0.260999999999999991e-2) - 0.7290000000e-3 * Dq3(i) * Dq6(i) * cos(q5(i) + pi - q4(i)) + 0.7290000000e-3 * Dq3(i) * Dq6(i) * cos(q5(i) + pi + q4(i)) + Dq2(i) * Dq5(i) * sin(q5(i) + pi + q3(i)) * 0.521999999999999982e-2 + Dq2(i) * Dq5(i) * sin(q5(i) + pi - q3(i)) * 0.521999999999999982e-2 + Dq2(i) * Dq5(i) * sin(q5(i) + pi - q4(i) + q3(i)) * 0.260999999999999991e-2 - 0.7290000000e-3 * Dq2(i) * Dq6(i) * cos(q5(i) + pi - q4(i)) + 0.7290000000e-3 * Dq2(i) * Dq6(i) * cos(q5(i) + pi + q4(i)) + Dq2(i) * Dq4(i) * sin(q5(i) + pi - q4(i) - q3(i)) * 0.260999999999999991e-2 + Dq1(i) * Dq3(i) * cos(pi / 0.2e1 + 0.2e1 * q4(i) + q3(i) + q2(i) + q5(i)) * 0.433680868994201774e-18 + Dq1(i) * Dq3(i) * cos(0.3e1 / 0.2e1 * pi - 0.2e1 * q4(i) - q3(i) - q2(i) + q5(i)) * 0.433680868994201774e-18 + Dq1(i) * Dq3(i) * cos(q5(i) + pi / 0.2e1 - 0.2e1 * q4(i) + q3(i) + q2(i)) * (-0.433680868994201774e-18) + Dq1(i) * Dq5(i) * sin(q5(i) + pi + q4(i)) * (-0.101500000000000006e-2) + Dq1(i) * Dq5(i) * sin(q5(i) + pi - q4(i)) * 0.101500000000000006e-2 + 0.3645000000e-3 * Dq1(i) * Dq6(i) * cos(q5(i) + pi / 0.2e1 + q3(i) + q2(i) + q4(i)) - 0.3645000000e-3 * Dq1(i) * Dq6(i) * cos(q5(i) + 0.3e1 / 0.2e1 * pi - q3(i) - q2(i) + q4(i)) + 0.7290000000e-3 * Dq1(i) * Dq6(i) * cos(q5(i) + 0.3e1 / 0.2e1 * pi - q3(i) - q2(i)) + 0.7290000000e-3 * Dq1(i) * Dq6(i) * cos(q5(i) + pi / 0.2e1 + q3(i) + q2(i)) + Dq1(i) ^ 2 * cos(0.2e1 * q4(i)) * (-0.339999999999923696e-4) + Dq1(i) ^ 2 * cos(-0.2e1 * q2(i) + pi - 0.2e1 * q3(i)) * (-0.249827750000000014e0) + 0.3645000000e-3 * Dq1(i) * Dq6(i) * cos(q5(i) + pi / 0.2e1 + q3(i) + q2(i) - q4(i)) - 0.3645000000e-3 * Dq1(i) * Dq6(i) * cos(q5(i) + 0.3e1 / 0.2e1 * pi - q3(i) - q2(i) - q4(i)) + Dq1(i) * Dq4(i) * sin(q5(i) + pi / 0.2e1 + q4(i) + q2(i)) * (-0.260999999999999991e-2) + Dq1(i) * Dq5(i) * sin(q5(i) + pi / 0.2e1 - q4(i) + q2(i)) * 0.260999999999999991e-2 + Dq1(i) * Dq4(i) * sin(q5(i) + 0.3e1 / 0.2e1 * pi - q4(i) - q2(i)) * (-0.260999999999999991e-2) + Dq1(i) * Dq2(i) * cos(pi / 0.2e1 + 0.2e1 * q4(i) + q3(i) + q2(i) + q5(i)) * 0.433680868994201774e-18 + Dq1(i) * Dq5(i) * sin(q5(i) + 0.3e1 / 0.2e1 * pi - q4(i) - q2(i)) * 0.260999999999999991e-2 + Dq1(i) * Dq4(i) * sin(q5(i) + 0.3e1 / 0.2e1 * pi + q4(i) - q2(i)) * (-0.260999999999999991e-2) + Dq1(i) * Dq5(i) * sin(q5(i) + 0.3e1 / 0.2e1 * pi + q4(i) - q2(i)) * (-0.260999999999999991e-2) + Dq1(i) * Dq2(i) * cos(-q2(i) + pi / 0.2e1 - 0.2e1 * q4(i) + q3(i)) * (-0.138777878078144570e-16) + Dq1(i) * Dq3(i) * cos(q5(i) + 0.3e1 / 0.2e1 * pi + 0.2e1 * q4(i) - q3(i) - q2(i)) * (-0.433680868994201774e-18) + Dq1(i) * Dq2(i) * cos(q5(i) + pi / 0.2e1 - 0.2e1 * q4(i) + q3(i) + q2(i)) * (-0.433680868994201774e-18) + Dq1(i) * Dq4(i) * sin(q5(i) + pi + q4(i)) * (-0.101500000000000006e-2) - 0.1458000000e-2 * Dq4(i) * cos(q5(i) + pi) * Dq6(i) + Dq1(i) * Dq2(i) * cos(q5(i) + 0.3e1 / 0.2e1 * pi + 0.2e1 * q4(i) - q3(i) - q2(i)) * (-0.433680868994201774e-18) + Dq1(i) * Dq5(i) * sin(q5(i) + pi / 0.2e1 + q4(i) + q2(i)) * (-0.260999999999999991e-2) + Dq1(i) * Dq4(i) * sin(q5(i) + pi - q4(i)) * (-0.101500000000000006e-2) + cos(q5(i) + pi) * Dq2(i) * Dq3(i) * (-0.220400000000000040e-1) + 0.6800000000e-4 * Dq1(i) * Dq3(i) * cos(-q4(i) + 0.5e1 / 0.2e1 * pi + (2 * q5(i)) - q3(i) - q2(i)) + 0.6800000000e-4 * Dq1(i) * Dq3(i) * cos((2 * q5(i)) + 0.3e1 / 0.2e1 * pi - q4(i) + q3(i) + q2(i)) - 0.1360000000e-3 * Dq4(i) * Dq3(i) * cos((2 * q5(i)) + 0.2e1 * pi - q4(i)) - 0.1121800000e0 * Dq1(i) * Dq4(i) * cos(-q2(i) + pi / 0.2e1 - q3(i)) + 0.1360000000e-3 * Dq1(i) * Dq4(i) * cos((2 * q5(i)) + 0.5e1 / 0.2e1 * pi - q3(i) - q2(i)) + 0.1360000000e-3 * Dq1(i) * Dq4(i) * cos(q3(i) + q2(i) + 0.3e1 / 0.2e1 * pi + (2 * q5(i))) + cos(-q2(i) + pi / 0.2e1) * Dq1(i) ^ 2 * 0.964740000000000042e0 - 0.3400000000e-4 * Dq1(i) * Dq2(i) * cos(0.2e1 * q4(i) + (2 * q5(i)) + 0.3e1 / 0.2e1 * pi + q3(i) + q2(i)) - 0.3400000000e-4 * Dq1(i) * Dq3(i) * cos(0.2e1 * q4(i) + (2 * q5(i)) + 0.3e1 / 0.2e1 * pi + q3(i) + q2(i)) + 0.6800000000e-4 * Dq1(i) * Dq4(i) * cos((2 * q5(i)) + 0.3e1 / 0.2e1 * pi + q4(i) + q3(i) + q2(i)) - 0.6800000000e-4 * Dq2(i) * Dq3(i) * cos(0.2e1 * q4(i) + 0.2e1 * pi + (2 * q5(i))) + 0.1360000000e-3 * Dq2(i) * Dq3(i) * cos(0.2e1 * pi + (2 * q5(i))) - 0.6800000000e-4 * Dq1(i) * Dq2(i) * cos((2 * q5(i)) + 0.5e1 / 0.2e1 * pi + q4(i) - q3(i) - q2(i)) - 0.6800000000e-4 * Dq1(i) * Dq2(i) * cos((2 * q5(i)) + 0.3e1 / 0.2e1 * pi + q4(i) + q3(i) + q2(i)) + 0.1360000000e-3 * Dq4(i) * Dq2(i) * cos(q4(i) + 0.2e1 * pi + (2 * q5(i))) - 0.1360000000e-3 * Dq4(i) ^ 2 * cos(0.2e1 * pi + (2 * q5(i))) + 0.6800000000e-4 * Dq2(i) ^ 2 * cos(0.2e1 * pi + (2 * q5(i))) - 0.3400000000e-4 * Dq2(i) ^ 2 * cos(-0.2e1 * q4(i) + 0.2e1 * pi + (2 * q5(i))) + 0.1700000000e-4 * Dq1(i) ^ 2 * cos(0.2e1 * q4(i) + 0.2e1 * pi + (2 * q5(i))) + 0.3400000000e-4 * Dq1(i) ^ 2 * cos((2 * q5(i)) + 0.3e1 * pi + q4(i) - 0.2e1 * q3(i) - 0.2e1 * q2(i)) - 0.8500000000e-5 * Dq1(i) ^ 2 * cos((2 * q5(i)) + pi + 0.2e1 * q3(i) + 0.2e1 * q2(i) - 0.2e1 * q4(i)) + 0.1700000000e-4 * Dq1(i) ^ 2 * cos(-0.2e1 * q4(i) + 0.2e1 * pi + (2 * q5(i))) - 0.3400000000e-4 * Dq1(i) ^ 2 * cos(-q4(i) + (2 * q5(i)) + pi + 0.2e1 * q3(i) + 0.2e1 * q2(i)) + Dq2(i) ^ 2 * cos(pi + 0.2e1 * q4(i) + q5(i)) * 0.433680868994201774e-18 + Dq2(i) ^ 2 * cos(pi - 0.2e1 * q4(i) + q5(i)) * 0.433680868994201774e-18 + Dq3(i) ^ 2 * cos(pi - 0.2e1 * q4(i) + q5(i)) * 0.433680868994201774e-18 + Dq3(i) ^ 2 * cos(pi + 0.2e1 * q4(i) + q5(i)) * 0.433680868994201774e-18 + Dq1(i) ^ 2 * cos(-0.2e1 * q4(i) - 0.2e1 * q3(i) - 0.2e1 * q2(i) + pi) * 0.170000000000031238e-4 + cos(q5(i) + pi) * Dq3(i) ^ 2 * (-0.110200000000000020e-1) + cos(q5(i) + pi) * Dq2(i) ^ 2 * (-0.110200000000000020e-1) + cos(q5(i) + pi) * Dq1(i) ^ 2 * (-0.551000000000000101e-2) - 0.8500000000e-5 * Dq1(i) ^ 2 * cos((2 * q5(i)) + pi + 0.2e1 * q4(i) + 0.2e1 * q3(i) + 0.2e1 * q2(i)) - 0.8500000000e-5 * Dq1(i) ^ 2 * cos((2 * q5(i)) + 0.3e1 * pi - 0.2e1 * q3(i) - 0.2e1 * q2(i) + 0.2e1 * q4(i)) + 0.3095400000e0 * sin(-q2(i) + pi / 0.2e1) * Dq1(i) * Dq2(i) + Dq1(i) * cos(-q2(i) + pi / 0.2e1 - q3(i)) * Dq3(i) * (-0.277555756156289136e-16) - 0.3400000000e-4 * Dq1(i) ^ 2 * cos(q4(i) + (2 * q5(i)) + pi + 0.2e1 * q3(i) + 0.2e1 * q2(i)) - 0.3400000000e-4 * Dq2(i) ^ 2 * cos(0.2e1 * q4(i) + 0.2e1 * pi + (2 * q5(i))) - 0.6800000000e-4 * Dq2(i) * Dq3(i) * cos(-0.2e1 * q4(i) + 0.2e1 * pi + (2 * q5(i))) + Dq2(i) ^ 2 * 0.286516949999999992e1 + Dq1(i) ^ 2 * cos(q5(i) + 0.2e1 * q2(i) + 0.2e1 * q3(i) - q4(i)) * 0.137749999999999984e-2 + Dq1(i) ^ 2 * cos(q5(i) + 0.2e1 * pi - 0.2e1 * q2(i) - 0.2e1 * q3(i) + q4(i)) * (-0.137749999999999984e-2) + Dq1(i) ^ 2 * cos(-0.2e1 * q2(i) + pi - 0.2e1 * q4(i)) * 0.693889390390722838e-17 + Dq1(i) ^ 2 * cos(pi - 0.2e1 * q4(i) + q5(i)) * (-0.216840434497100888e-18) + Dq1(i) ^ 2 * cos(q5(i) + 0.2e1 * pi - 0.2e1 * q4(i) - 0.2e1 * q3(i) - 0.2e1 * q2(i)) * 0.108420217248550444e-18 + Dq1(i) ^ 2 * cos(pi + 0.2e1 * q4(i) + q5(i)) * (-0.216840434497100888e-18) + Dq1(i) ^ 2 * cos(0.2e1 * q4(i) + 0.2e1 * q3(i) + 0.2e1 * q2(i) + q5(i)) * 0.108420217248550444e-18 + Dq1(i) ^ 2 * cos(-0.2e1 * q4(i) + 0.2e1 * q3(i) + 0.2e1 * q2(i) + q5(i)) * 0.108420217248550444e-18 + Dq1(i) ^ 2 * cos(q5(i) + 0.2e1 * pi + 0.2e1 * q4(i) - 0.2e1 * q3(i) - 0.2e1 * q2(i)) * 0.108420217248550444e-18 + Dq1(i) ^ 2 * cos(-0.2e1 * q2(i) + pi + 0.2e1 * q4(i)) * 0.693889390390722838e-17 - 0.8500000000e-5 * Dq1(i) ^ 2 * cos((2 * q5(i)) + 0.3e1 * pi - 0.2e1 * q4(i) - 0.2e1 * q3(i) - 0.2e1 * q2(i)) + 0.3400000000e-4 * Dq1(i) ^ 2 * cos((2 * q5(i)) + 0.3e1 * pi - q4(i) - 0.2e1 * q3(i) - 0.2e1 * q2(i)) + sin(q3(i)) * Dq1(i) ^ 2 * (-0.428400000000000002e0) + sin(q3(i)) * Dq2(i) ^ 2 * (-0.856800000000000006e0) + Dq1(i) ^ 2 * sin(-q2(i) + pi / 0.2e1 - q3(i)) * 0.166600000000000026e0 + Dq1(i) ^ 2 * sin(-q3(i) - 0.2e1 * q2(i) + pi) * 0.428400000000000002e0 - 0.3400000000e-4 * Dq1(i) * Dq3(i) * cos(-0.2e1 * q4(i) + (2 * q5(i)) + 0.5e1 / 0.2e1 * pi - q3(i) - q2(i)) - 0.6800000000e-4 * Dq1(i) * Dq4(i) * cos(-q4(i) + 0.5e1 / 0.2e1 * pi + (2 * q5(i)) - q3(i) - q2(i)) - 0.3400000000e-4 * Dq1(i) * Dq2(i) * cos(-0.2e1 * q4(i) + (2 * q5(i)) + 0.5e1 / 0.2e1 * pi - q3(i) - q2(i)) + 0.1001000000e-2 * Dq5(i) * Dq1(i) * cos(-q4(i) - q3(i) - q2(i) + pi / 0.2e1) + 0.7290000000e-3 * Dq6(i) ^ 2 + Dq1(i) * Dq4(i) * cos(q5(i) + pi / 0.2e1 + q3(i) + q2(i) + q4(i)) * (-0.275500000000000008e-2) + Dq1(i) * Dq4(i) * cos(q5(i) + 0.3e1 / 0.2e1 * pi - q3(i) - q2(i) - q4(i)) * 0.275500000000000008e-2 + Dq1(i) * Dq4(i) * cos(q5(i) + pi / 0.2e1 + q3(i) + q2(i) - q4(i)) * (-0.275500000000000008e-2) + Dq1(i) * Dq4(i) * cos(q5(i) + 0.3e1 / 0.2e1 * pi - q3(i) - q2(i) + q4(i)) * 0.275500000000000008e-2 + Dq4(i) * Dq2(i) * cos(q5(i) + pi - q4(i)) * 0.551000000000000014e-2 + Dq4(i) * Dq2(i) * cos(q5(i) + pi + q4(i)) * (-0.551000000000000014e-2) + Dq4(i) * Dq3(i) * cos(q5(i) + pi - q4(i)) * 0.551000000000000014e-2 + Dq4(i) * Dq3(i) * cos(q5(i) + pi + q4(i)) * (-0.551000000000000014e-2) + 0.5609000000e-1 * Dq4(i) ^ 2 + 0.1001000000e-2 * Dq5(i) ^ 2 + 0.2002000000e-2 * Dq5(i) * Dq2(i) * cos(q4(i)) + Dq1(i) * Dq2(i) * cos(q5(i) + pi / 0.2e1 + q3(i) + q2(i) + q4(i)) * 0.275499999999999964e-2 + Dq1(i) * Dq2(i) * cos(q5(i) + 0.3e1 / 0.2e1 * pi - q3(i) - q2(i) - q4(i)) * (-0.275499999999999964e-2) + Dq1(i) * Dq2(i) * cos(q5(i) + pi / 0.2e1 + q3(i) + q2(i) - q4(i)) * (-0.275499999999999964e-2) + Dq1(i) * Dq2(i) * cos(q5(i) + 0.3e1 / 0.2e1 * pi - q3(i) - q2(i) + q4(i)) * 0.275499999999999964e-2 + Dq1(i) * Dq3(i) * cos(q5(i) + pi / 0.2e1 + q3(i) + q2(i) + q4(i)) * 0.275499999999999964e-2 + Dq1(i) * Dq3(i) * cos(q5(i) + 0.3e1 / 0.2e1 * pi - q3(i) - q2(i) - q4(i)) * (-0.275499999999999964e-2) + Dq1(i) * Dq3(i) * cos(q5(i) + pi / 0.2e1 + q3(i) + q2(i) - q4(i)) * (-0.275499999999999964e-2) + Dq1(i) * Dq3(i) * cos(q5(i) + 0.3e1 / 0.2e1 * pi - q3(i) - q2(i) + q4(i)) * 0.275499999999999964e-2 + Dq1(i) * Dq2(i) * sin(q5(i) + 0.3e1 / 0.2e1 * pi - q4(i) - q2(i)) * 0.260999999999999991e-2 + Dq1(i) * Dq2(i) * sin(q5(i) + pi / 0.2e1 + q4(i) + q2(i)) * 0.260999999999999991e-2 + Dq1(i) * Dq2(i) * sin(q5(i) + 0.3e1 / 0.2e1 * pi + q4(i) - q2(i)) * (-0.260999999999999991e-2) + Dq1(i) * Dq2(i) * sin(q5(i) + pi / 0.2e1 - q4(i) + q2(i)) * (-0.260999999999999991e-2) + Dq1(i) ^ 2 * 0.187331399999999970e1 + Dq5(i) * Dq1(i) * cos(q5(i) + pi / 0.2e1 + q3(i) + q2(i) - q4(i)) * 0.275500000000000008e-2 + Dq5(i) * Dq1(i) * cos(q5(i) + 0.3e1 / 0.2e1 * pi - q3(i) - q2(i) + q4(i)) * 0.275500000000000008e-2 + Dq5(i) * Dq1(i) * cos(q5(i) + pi / 0.2e1 + q3(i) + q2(i) + q4(i)) * (-0.275500000000000008e-2) + Dq5(i) * Dq1(i) * cos(q5(i) + 0.3e1 / 0.2e1 * pi - q3(i) - q2(i) - q4(i)) * (-0.275500000000000008e-2) + Dq5(i) * Dq2(i) * cos(q5(i) + pi - q4(i)) * (-0.551000000000000014e-2) + Dq5(i) * Dq2(i) * cos(q5(i) + pi + q4(i)) * (-0.551000000000000014e-2) + Dq5(i) * Dq3(i) * cos(q5(i) + pi - q4(i)) * (-0.551000000000000014e-2) + Dq5(i) * Dq3(i) * cos(q5(i) + pi + q4(i)) * (-0.551000000000000014e-2) + Dq2(i) * Dq3(i) * cos(0.2e1 * q4(i)) * 0.135999999999969480e-3 + Dq2(i) ^ 2 * sin(q5(i) + pi - q4(i) + q3(i)) * 0.260999999999999991e-2 + Dq2(i) ^ 2 * sin(q5(i) + pi + q4(i) - q3(i)) * 0.260999999999999991e-2 + Dq1(i) ^ 2 * sin(q5(i) + pi - q4(i) + q3(i)) * 0.130499999999999995e-2 + Dq1(i) ^ 2 * sin(q5(i) + pi + q4(i) - q3(i)) * 0.130499999999999995e-2 + Dq2(i) ^ 2 * sin(q5(i) + pi + q4(i) + q3(i)) * 0.260999999999999991e-2 + Dq2(i) ^ 2 * sin(q5(i) + pi - q4(i) - q3(i)) * 0.260999999999999991e-2 + Dq1(i) ^ 2 * sin(q5(i) + pi + q4(i) + q3(i)) * 0.130499999999999995e-2 + Dq1(i) ^ 2 * sin(q5(i) + pi - q4(i) - q3(i)) * 0.130499999999999995e-2 + 0.2002000000e-2 * Dq5(i) * Dq3(i) * cos(q4(i)) + 0.3400000000e-4 * Dq1(i) * Dq2(i) * cos(0.2e1 * q4(i) + (2 * q5(i)) + 0.5e1 / 0.2e1 * pi - q3(i) - q2(i)) + 0.3400000000e-4 * Dq1(i) * Dq3(i) * cos(0.2e1 * q4(i) + (2 * q5(i)) + 0.5e1 / 0.2e1 * pi - q3(i) - q2(i)) - 0.6800000000e-4 * Dq1(i) * Dq4(i) * cos((2 * q5(i)) + 0.5e1 / 0.2e1 * pi + q4(i) - q3(i) - q2(i)) + Dq1(i) * Dq2(i) * cos(0.2e1 * q4(i) - q3(i) - q2(i) + pi / 0.2e1) * (-0.680000000000263728e-4) + Dq1(i) * Dq3(i) * cos(0.2e1 * q4(i) - q3(i) - q2(i) + pi / 0.2e1) * (-0.680000000000124950e-4) + Dq1(i) ^ 2 * sin(q5(i) + 0.2e1 * pi - q3(i) - 0.2e1 * q2(i)) * (-0.260999999999999991e-2) + Dq1(i) ^ 2 * sin(q5(i) + q3(i) + 0.2e1 * q2(i)) * 0.260999999999999991e-2 + Dq3(i) ^ 2 * cos(0.2e1 * q4(i)) * 0.680000000000124950e-4 + Dq1(i) ^ 2 * cos(q5(i) + 0.2e1 * q2(i) + 0.2e1 * q3(i)) * 0.275500000000000052e-2 + Dq1(i) ^ 2 * cos(q5(i) + 0.2e1 * pi - 0.2e1 * q3(i) - 0.2e1 * q2(i)) * 0.275500000000000052e-2 + Dq1(i) ^ 2 * sin(q5(i) + pi + q3(i)) * 0.260999999999999991e-2 + Dq1(i) ^ 2 * sin(q5(i) + pi - q3(i)) * (-0.260999999999999991e-2) + Dq2(i) ^ 2 * sin(q5(i) + pi + q3(i)) * 0.521999999999999982e-2 + Dq2(i) ^ 2 * sin(q5(i) + pi - q3(i)) * (-0.521999999999999982e-2) + Dq1(i) ^ 2 * sin(q5(i) + 0.3e1 / 0.2e1 * pi - q3(i) - q2(i)) * (-0.101500000000000006e-2) + Dq1(i) ^ 2 * sin(q5(i) + pi / 0.2e1 + q3(i) + q2(i)) * 0.101500000000000006e-2 + Dq1(i) * Dq3(i) * cos(-0.2e1 * q4(i) - q3(i) - q2(i) + pi / 0.2e1) * 0.679999999999847394e-4 + Dq2(i) ^ 2 * cos(0.2e1 * q4(i)) * 0.680000000000124950e-4 + Dq2(i) * Dq3(i) * 0.111149100000000001e1 + 0.3400000000e-4 * Dq1(i) * Dq2(i) * cos(-0.2e1 * q4(i) + (2 * q5(i)) + 0.3e1 / 0.2e1 * pi + q3(i) + q2(i)) + 0.3400000000e-4 * Dq1(i) * Dq3(i) * cos(-0.2e1 * q4(i) + (2 * q5(i)) + 0.3e1 / 0.2e1 * pi + q3(i) + q2(i)) + 0.6800000000e-4 * Dq1(i) * Dq4(i) * cos((2 * q5(i)) + 0.3e1 / 0.2e1 * pi - q4(i) + q3(i) + q2(i)) + Dq1(i) * Dq2(i) * cos(-0.2e1 * q4(i) - q3(i) - q2(i) + pi / 0.2e1) * 0.680000000000124950e-4 + Dq1(i) ^ 2 * sin(q5(i) + 0.2e1 * pi + q4(i) - q3(i) - 0.2e1 * q2(i)) * 0.130499999999999995e-2 + Dq1(i) ^ 2 * sin(q5(i) - q4(i) + q3(i) + 0.2e1 * q2(i)) * 0.130499999999999995e-2 + Dq1(i) ^ 2 * sin(q5(i) + 0.3e1 / 0.2e1 * pi - q3(i) - q2(i) - q4(i)) * 0.507500000000000032e-3 + Dq1(i) ^ 2 * sin(q5(i) + pi / 0.2e1 + q3(i) + q2(i) + q4(i)) * 0.507500000000000032e-3 + Dq1(i) ^ 2 * sin(q5(i) + 0.3e1 / 0.2e1 * pi - q3(i) - q2(i) + q4(i)) * 0.507500000000000032e-3 + Dq1(i) ^ 2 * sin(q5(i) + pi / 0.2e1 + q3(i) + q2(i) - q4(i)) * 0.507500000000000032e-3 + Dq1(i) ^ 2 * sin(q5(i) + 0.2e1 * pi - q4(i) - q3(i) - 0.2e1 * q2(i)) * 0.130499999999999995e-2 + Dq1(i) ^ 2 * sin(q5(i) + q4(i) + q3(i) + 0.2e1 * q2(i)) * 0.130499999999999995e-2 + Dq1(i) ^ 2 * cos(q5(i) + q4(i) + 0.2e1 * q3(i) + 0.2e1 * q2(i)) * 0.137749999999999984e-2 + Dq1(i) ^ 2 * cos(q5(i) + 0.2e1 * pi - q4(i) - 0.2e1 * q3(i) - 0.2e1 * q2(i)) * (-0.137749999999999984e-2) + 0.6800000000e-4 * Dq3(i) ^ 2 * cos(0.2e1 * pi + (2 * q5(i))) - 0.3400000000e-4 * Dq3(i) ^ 2 * cos(-0.2e1 * q4(i) + 0.2e1 * pi + (2 * q5(i))) - 0.5100000000e-4 * Dq1(i) ^ 2 * cos((2 * q5(i)) + 0.3e1 * pi - 0.2e1 * q3(i) - 0.2e1 * q2(i)) - 0.3400000000e-4 * Dq1(i) ^ 2 * cos(0.2e1 * pi + (2 * q5(i))) - 0.5100000000e-4 * Dq1(i) ^ 2 * cos((2 * q5(i)) + pi + 0.2e1 * q3(i) + 0.2e1 * q2(i)) - 0.3400000000e-4 * Dq3(i) ^ 2 * cos(0.2e1 * q4(i) + 0.2e1 * pi + (2 * q5(i)));
%     P(i) = m1 * g * 0.264 + m2 * g * (0.352 + 0.201 * cos(q2(i))) + m4 * g * (0.352 + 0.360 * cos(q2(i)) + 0.080 * sin(-q3(i)-q2(i))) + m6 * g * (0.352 + 0.360 * cos(q2(i)) + 0.380 * sin(-q3(i)-q2(i)) + 0.029 * sin(-q3(i)-q2(i)-q5(i)));
% end
% 
% %Plotting the energy
% figure('units','pixels','outerposition',[0 0 1000 600]);
% plot(t,K,'r',t,P,'k',t,K+P,'b')
% %axis([0 30 0 450])
% xlabel('Time[s]')
% ylabel('Energy [J]')
% title('Internal energy','FontSize',12)
% legend('Kinetic energy','Potential energy','Total energy','Location','NorthWest')
